import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
		list: [
			{
				icon: "/static/logo.png",
				activeIcon: '/static/logo.png',
				customIcon: false,
				pagePath: "/pages/menu/menu",
				text: '菜单'
			},
			{
				icon: "/static/logo.png",
				activeIcon: '/static/logo.png',
				pagePath: "/pages/order/order",
				text: '订单',
				customIcon: false
			},
			{
				icon: "/static/logo.png",
				activeIcon: '/static/logo.png',
				pagePath: "/pages/mine/mine",
				text: '我的'
			}
		],
		userInfo:{},//授权信息
		authorization:false,//是否授权
		orderId:''//外部扫码进入的商品id
	},
    mutations: {
		// 设置是否授权
		setAuthorization(state,data){
			state.authorization=data;
		},
		// 设置用户信息
		setUserInfo(state,userInfo){
			state.userInfo=userInfo;
		},
		// 设置扫码进入的商品id
		setOrderId(state, orderId) {
           state.orderId = orderId;
		}
	},
    actions: {}
})
export default store